Skip to:
Content
Pages
Categories
Search
Top
Bottom

Very strange upgrade behavior


  • Greg
    Participant

    @rebootnow

    I just tried to upgrade a 0.8.3 forum to 1.0.1. I am experimenting, so I did the following:

    - Created a copy of my production forum db (didn’t turn off plugins or anything first) – call it “DBCOPY”

    – Copied the 1.0.1 bbPress files to a domain I use to stage upgrades – call it “stage.com”

    – Browse to “stage.com/forum”

    The first strange thing was that after the first step in the upgrade process I checked “bb-config.php” and BBDB_NAME was *not* what I specified in the form. Somehow the upgrade process had found a previous bbPress database that I had associated with stage.com and used that instead (!). This seemed so strange that I repeated the entire process, with the same result.

    I manually set the DB to the correct name, and then the upgrade then appeared to complete without a hitch, but…

    1. When I browsed to “stage.com/forum” I see the message “Could not determine site URI”

    2. The “New bbPress installation” email message has “Please give me a name!” in the from field

    I then started from scratch with bbPress 0.9.0.5 and everything went as expected. Upgrade completed flawlessly.

    Is upgrade from 0.8.3 not supported? I don’t see that written anywhere. If bbPress is really overriding my BBDB_NAME specification then this is a pretty serious bug.

Viewing 1 replies (of 1 total)

  • Greg
    Participant

    @rebootnow

    Quick update: after upgrading from 0.8.3 to 0.9.0.5, upgrading from 0.9.0.5 to 1.0.1 in a second step went smoothly. Except for:

    - The “New bbPress installation” email message still had “Please give me a name!” in the from field.

    – The first time I went to the upgraded forum it had “Please give me a name!” in the header where the name should be. After I logged in as keymaster this fixed itself.

Viewing 1 replies (of 1 total)

You must be logged in to reply to this topic.